package co.yixiang.yshop.module.order.convert.storeaftersales;

import java.util.*;

import co.yixiang.yshop.framework.common.pojo.PageResult;

import co.yixiang.yshop.module.order.controller.app.afterorder.vo.AppStoreAfterSalesVo;
import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import co.yixiang.yshop.module.order.controller.admin.storeaftersales.vo.*;
import co.yixiang.yshop.module.order.dal.dataobject.storeaftersales.StoreAfterSalesDO;

/**
 * 售后记录 Convert
 *
 * @author yshop
 */
@Mapper
public interface StoreAfterSalesConvert {

    StoreAfterSalesConvert INSTANCE = Mappers.getMapper(StoreAfterSalesConvert.class);


    StoreAfterSalesDO convert(StoreAfterSalesUpdateReqVO bean);

    StoreAfterSalesRespVO convert(StoreAfterSalesDO bean);
    AppStoreAfterSalesVo convert1(StoreAfterSalesDO bean);

    List<StoreAfterSalesRespVO> convertList(List<StoreAfterSalesDO> list);
    List<AppStoreAfterSalesVo> convertList1(List<StoreAfterSalesDO> list);

    PageResult<StoreAfterSalesRespVO> convertPage(PageResult<StoreAfterSalesDO> page);


}
